%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           ubuntuone-client
Version:        1.0.2
Release:        2%{?dist}
Summary:        Ubuntu One client

Group:          Applications/System
License:        GPLv3
URL:            https://launchpad.net/ubuntuone-client
Source:         http://launchpad.net/%{name}/stable-1-0/%{version}/+download/%{name}-%{version}.tar.gz
Patch1:         nonscript.patch
Patch2:         no_delete_during_resync.patch
Patch3:         oauth.patch

# needed for python < 2.6.3
Patch4:         httplib.patch
Patch5:         logger.python-2.6.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nautilus-devel >= 2.16.0
BuildRequires:  gnome-keyring-devel
BuildRequires:  intltool
BuildRequires:  python-ubuntuone-storage-protocol
BuildRequires:  dbus-glib-devel

#libtool
BuildRequires:  gcc-c++
BuildArch:      noarch

# the main package requires the python bindings too
Requires:       python-ubuntuone-client = %{version}
Requires:       python-configglue

%description
Ubuntu One helps you store, sync and share files. Sync your files, share your
work with others or work remotely.

Ubuntu One is a suite of on-line services. This package contains the
synchronization daemon for the Ubuntu One file sharing service.


%package tools
Requires:       python-ubuntuone-client = %{version}
Summary:        Ubuntu One client tools

%description tools
Ubuntu One is a suite of on-line services. This package provides the u1sync
command line tool for syncing individual files and folders to and from the
Ubuntu One file storage and sharing service.

%package -n python-ubuntuone-client
Summary:        Ubuntu One python package

Requires:       python-ubuntuone-storage-protocol >= 0.95.0
Requires:       dbus-python
Requires:       pyxdg
Requires:       python-twisted-web
Requires:       xdg-utils
Requires:       gnome-python2-gnomekeyring
Requires:       notify-python
Requires:       python-inotify


%description -n python-ubuntuone-client
Ubuntu One is a suite of on-line services. This package provides the 
python bindings.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# these files are packaged in python-ubuntuone-storageprotocol
# that's ugly, but that's how the source packages are set up
rm $RPM_BUILD_ROOT%{python_sitelib}/ubuntuone/__init__.*

# delete gnome files
rm $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/libnautilus-ubuntuone.*
rm $RPM_BUILD_ROOT%{_bindir}/ubuntuone-client-*
rm $RPM_BUILD_ROOT%{_datadir}/applications/ubuntuone-client-applet.desktop
rm $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/com.ubuntuone.Authentication.service
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons
rm -rf $RPM_BUILD_ROOT%{_datadir}/ubuntuone-client
rm -rf $RPM_BUILD_ROOT%{_mandir}/man1/ubuntuone-client*

%find_lang ubuntuone-client

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ubuntuone-client.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.icons HACKING README
%{_bindir}/u1sdtool
%{_libexecdir}/ubuntuone-syncdaemon
%{_datadir}/dbus-1/services/com.ubuntuone.SyncDaemon.service
%{_mandir}/man1/u1sdtool.1.gz
%{_datadir}/apport/package-hooks/source_ubuntuone-client.py*

%files tools
%defattr(-,root,root,-)
%{_bindir}/u1sync
%{_mandir}/man1/u1sync.1.gz

%files -n python-ubuntuone-client
%defattr(-,root,root,-)
%{python_sitelib}/ubuntuone
%config(noreplace) %{_sysconfdir}//xdg/ubuntuone/oauth_registration.d/ubuntuone
%config(noreplace) %{_sysconfdir}//xdg/ubuntuone/oauth_urls
%config(noreplace) %{_sysconfdir}//xdg/ubuntuone/syncdaemon.conf
%config(noreplace) %{_sysconfdir}//apport/crashdb.conf.d/ubuntuone-client-crashdb.conf

%changelog
* Sun Nov 29 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.2-2
- added two more patches for Python 2.6 older than 2.6.3

* Tue Nov 24 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.2-1
- updated version

* Sun Nov 22 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.1-1
- initial package
